GCLOUD_DNS_RECORD-SETS(1)

NAME

gcloud dns record-sets - manage the record-sets within your managed-zones

SYNOPSIS

gcloud dns record-sets GROUP | COMMAND [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Manage the record-sets within your managed-zones.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

GROUPS
GROUP is one of the following:

    changes
        View details about changes to your Cloud DNS record-sets.

    transaction
        Make scriptable and transactional changes to your record-sets.

COMMANDS
COMMAND is one of the following:

    export
        Export your record-sets into a file.

    import
        Import record-sets into your managed-zone.

    list
        View the list of record-sets in a managed-zone.

EXAMPLES
To import record-sets from a BIND zone file, run:
    $ gcloud dns record-sets import --zone MANAGED_ZONE \
        --zone-file-format ZONE_FILE
To export record-sets in yaml format, run:
    $ gcloud dns record-sets export --zone MANAGED_ZONE
To see how to make scriptable changes to your record-sets through transactions, run:
    $ gcloud dns record-sets transaction --zone MANAGED_ZONE
To see change details or list of all changes, run:
    $ gcloud dns record-sets changes --zone MANAGED_ZONE
To see the list of all record-sets, run:
    $ gcloud dns record-sets list --zone MANAGED_ZONE